> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/cricket-api/our-api/seasons/get-all-seasons.md).

# GET All Seasons

### `GET` All Seasons

```
https://cricket.sportmonks.com/api/v2.0/seasons
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                                 |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url.               |
| filter               | Array of fields to filter on. Can be used by adding `&filter[{field you want to filter}].` For example: `&filter[league_id]=2.` |
| fields\[object]      | Only return fields you are interested in. Simply add `&fields[object]=id,name,code`  to your request url.                       |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.                           |

**Filters**

`name` `league_id`

**Sort**

You can sort on all fields.

#### Include options

`league` `stages` `fixtures` `teams`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MTeYiIp3JNsC4Lao5Nm" %}
[Enriching your response](/v2/cricket-api/getting-started/enriching-your-response.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/seasons?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": [
        {
            "resource": "seasons",
            "id": 6,
            "league_id": 3,
            "name": "2018",
            "code": "2018",
            "updated_at": "2018-10-22T20:51:18.000000Z"
        },
        {
            "resource": "seasons",
            "id": 24,
            "league_id": 3,
            "name": "2018/2019",
            "code": "2018/2019",
            "updated_at": "2018-10-21T10:21:50.000000Z"
        },
        {
            "resource": "seasons",
            "id": 44,
            "league_id": 3,
            "name": "2019",
            "code": "2019",
            "updated_at": "2018-10-29T07:49:31.000000Z"
        },
        {
            "resource": "seasons",
            "id": 185,
            "league_id": 3,
            "name": "2017/2018",
            "code": "2017/2018",
            "updated_at": "2018-12-13T10:06:02.000000Z"
        },
        {
            "resource": "seasons",
            "id": 309,
            "league_id": 3,
            "name": "2019/2020",
            "code": "2019/2020",
            "updated_at": "2019-05-24T09:30:46.000000Z"
        },
        {
            "resource": "seasons",
            "id": 312,
            "league_id": 3,
            "name": "2020",
            "code": "2020",
            "updated_at": "2019-06-08T19:52:38.000000Z"
        },
        {
            "resource": "seasons",
            "id": 498,
            "league_id": 3,
            "name": "2020/2021",
            "code": "2020/2021",
            "updated_at": "2020-05-31T11:32:28.000000Z"
        },
        {
            "resource": "seasons",
            "id": 507,
            "league_id": 3,
            "name": "2021",
            "code": "2021",
            "updated_at": "2020-05-31T12:24:22.000000Z"
        },
        {
            "resource": "seasons",
            "id": 782,
            "league_id": 3,
            "name": "2022",
            "code": "2022",
            "updated_at": "2021-05-19T13:24:05.000000Z"
        },
        {
            "resource": "seasons",
            "id": 10,
            "league_id": 5,
            "name": "2018/2019",
            "code": "2018/2019",
            "updated_at": "2018-11-10T21:32:35.000000Z"
        },
        {
            "resource": "seasons",
            "id": 104,
            "league_id": 5,
            "name": "2017/2018",
            "code": "2017/2018",
            "updated_at": "2018-11-06T08:33:23.000000Z"
        },
        {
            "resource": "seasons",
            "id": 107,
            "league_id": 5,
            "name": "2016/2017",
            "code": "2016/2017",
            "updated_at": "2018-11-06T08:33:54.000000Z"
        },
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/seasons/get-all-seasons.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
